# Record TCefDownloadImageCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDownloadImageCallback = record`

## Description

Callback structure for ICefBrowserHost.DownloadImage. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDownloadImageCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_download_image_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_download_image_finished: procedure(self: PCefDownloadImageCallback; const image_url: PCefString; http_status_code: Integer; image: PCefImage); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_download_image_finished: procedure(self: PCefDownloadImageCallback; const image_url: PCefString; http_status_code: Integer; image: PCefImage); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.